Bug 20920 - docbook-utils-0.5.5-1 docbook2pdf utility can't compile 'hello world'
Summary: docbook-utils-0.5.5-1 docbook2pdf utility can't compile 'hello world'
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: docbook (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-15 19:40 UTC by Bill Brooks
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-15 19:40:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Brooks 2000-11-15 19:40:12 UTC
docbook-utils-0.5.5-1 docbook2pdf utility can't compile 'hello world'
document.

On RedHat 6.2 with the following packages installed:

docbook-dtd30-sgml-1.0-6
docbook-dtd31-sgml-1.0-6
docbook-dtd40-sgml-1.0-6
docbook-dtd41-sgml-1.0-6
docbook-utils-0.5.5-1
docbook-style-dsssl-1.57-2

attempting to compile the standard 'hello world' document located at:
<http://nis-www.lanl.gov/~rosalia/mydocs/docbook-intro/get-going.html#HELLO-WORLD>
produces the following output:
 ~/box/work/foo>docbook2pdf helloworld.docbook
Using catalogs: /etc/sgml/sgml-docbook-3.0.cat
Using stylesheet:
/usr/share/sgml/docbook/utils-0.5.5/docbook-utils.dsl#print
Working on: /home/wbrooks/box/work/foo/helloworld.docbook
This is pdfTeX, Version 3.14159-13d (Web2C 7.3.1)
(Fatal format file error; I'm stymied)

I realize this may be a problem with the underlying pdfTeX utilities that
docbook2pdf uses, however as the utilities ship with RedHat, they ought to
work together to at least successfully compile a 'hello world' document.

Comment 1 Tim Waugh 2000-11-16 14:43:51 UTC
Those packages aren't part of Red Hat Linux 6.2.  Check out sgml-common,
docbook, and stylesheets.  The commands are db2ps, db2pdf, db2html, etc.



Note You need to log in before you can comment on or make changes to this bug.